## Name

lppasswd - add, change, or delete digest passwords.

## Synopsis

lppasswd [ username ]
lppasswd -a [ -g groupname ] username
lppasswd -x username

## Description

lppasswd adds, changes, or deletes passwords in the CUPS digest password file, passwd.md5. When run by a normal user, lppasswd will prompt for the old and new passwords. When run by the super-user, lppasswd can add new accounts (-a username), change existing accounts (username), or delete accounts (-x username) in the digest password file. Digest usernames do not have to match local UNIX usernames.

## Options

lppasswd supports the following options:

-g groupname
  Specifies a group other than the default system group.

## Security Issues

The lppasswd command is installed setuid to root. While every attempt has been made to make it secure against exploits that could grant super-user privileges to unprivileged users, paranoid system administrators may wish to disable or change the ownership of the program to an unprivileged account.

## See Also

lp(1), lpr(1),
http://localhost:631/help

## Copyright

Copyright 1997-2006 by Easy Software Products, All Rights Reserved.